%define api	3.0
%define girname	%mklibname %{name}-gir %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Shared GSettings schemas for the desktop
Name:		gsettings-desktop-schemas
Version:	3.6.1
Release:	%mkrel 6
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:     gsettings-desktop-schemas-3.6.1-default-to-oxygen.patch
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://gnome.org/
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%package devel
Group:		Development/C
Summary:	Development files for %{name}

%description devel
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-introspection=yes
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml

%files -n %{girname}
%{_libdir}/girepository-1.0/GDesktopEnums-%{api}.typelib

%files devel
%doc ChangeLog HACKING MAINTAINERS
%{_includedir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GDesktopEnums-%{api}.gir


%changelog

* Thu Mar 14 2013 neoclust <neoclust> 3.6.1-6.mga3
+ Revision: 403166
- Do less changes and only change the used theme

* Thu Mar 14 2013 neoclust <neoclust> 3.6.1-5.mga3
+ Revision: 402938
- Remove boggus theme change

* Thu Mar 14 2013 neoclust <neoclust> 3.6.1-4.mga3
+ Revision: 402885
- Migrate more to oxygen

* Thu Mar 14 2013 neoclust <neoclust> 3.6.1-3.mga3
+ Revision: 402881
- Use oxygen as default theme

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352689
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317523
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297482
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295533
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288219
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282954
- new version 3.5.90

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271963
- new version 3.5.4

* Mon Jun 25 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263685
- new version 3.5.3

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235713
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231064
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227047
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224297
- new version 3.3.92

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212018
- new version
- clean spec

* Wed Nov 23 2011 wally <wally> 3.3.2-2.mga2
+ Revision: 171484
- enable introspection
- not noarch pkg anymore
- clean .spec a bit

* Wed Nov 23 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 171123
- update file list
- new version 3.3.2

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148624
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145439
- new version 3.1.92

* Tue Sep 06 2011 tv <tv> 3.1.91-1.mga2
+ Revision: 139393
- new release
- fix d/l URL
- use xz sources

* Tue Jul 05 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 118678
- drop buildroot definition
- 3.1.3

* Wed Apr 20 2011 pterjan <pterjan> 3.0.0-1.mga1
+ Revision: 88931
- imported package gsettings-desktop-schemas


* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2011.0
+ Revision: 650457
- new version 3.0.0

* Wed Mar 23 2011 Funda Wang <fwang@mandriva.org> 2.91.92-1
+ Revision: 647745
- new version 2.91.92

* Sat Jul 24 2010 Götz Waschk <waschk@mandriva.org> 0.0.1-1mdv2011.0
+ Revision: 558107
- import gsettings-desktop-schemas


